Bug 1573547 - [upstream][v2v] Timed Out migration screen keeps repeatedly prompting for login
Summary: [upstream][v2v] Timed Out migration screen keeps repeatedly prompting for login
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat CloudForms Management Engine
Classification: Red Hat
Component: UI - OPS
Version: 5.9.0
Hardware: Unspecified
OS: Unspecified
high
high
Target Milestone: GA
: 5.10.0
Assignee: Allen W
QA Contact: Kedar Kulkarni
URL:
Whiteboard: v2v
Depends On:
Blocks: 1588548
TreeView+ depends on / blocked
 
Reported: 2018-05-01 16:27 UTC by Kedar Kulkarni
Modified: 2019-02-11 14:09 UTC (History)
8 users (show)

Fixed In Version: 5.10.0.0
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
: 1588548 (view as bug list)
Environment:
Last Closed: 2019-02-11 14:09:59 UTC
Category: ---
Cloudforms Team: CFME Core
Target Upstream Version:


Attachments (Terms of Use)
ScreenGIF (981.64 KB, image/gif)
2018-05-01 16:27 UTC, Kedar Kulkarni
no flags Details

Description Kedar Kulkarni 2018-05-01 16:27:05 UTC
Created attachment 1429316 [details]
ScreenGIF

Description of problem:
If you are on migrations page for a while and you don't do anything, authentication will timeout and then it will start prompting for login in a pop-up dialog and it will keep prompting you in a loop, multiple times. 

See attached GIF

Version-Release number of selected component (if applicable):
master.20180430231107_6437e92

How reproducible:
Believe 100%

Steps to Reproduce:
1.Login to ManageIQ 
2.Traverse to Migrations page
3.Leave it untouched for 15-30 mins (not sure what is exact timeout period)

Actual results:
See GIF

Expected results:
It should re-direct you to login page instead of infinite pop-ups

Additional info:

Comment 2 Allen W 2018-05-02 16:46:07 UTC
Looking at this...

Comment 6 Allen W 2018-05-15 22:13:17 UTC
for the record this is being worked here: https://github.com/priley86/miq_v2v_ui_plugin/pull/303

but cant move forward till: https://github.com/ManageIQ/manageiq-ui-classic/pull/3662

Comment 7 Allen W 2018-05-18 16:56:50 UTC
and https://github.com/priley86/miq_v2v_ui_plugin/pull/303 was merged! Moving this to post

Comment 9 Kedar Kulkarni 2018-07-03 14:36:43 UTC
on 5.10.0.2 we do not have this issue anymore. We get redirected to login screen on timeout, as expected.


Note You need to log in before you can comment on or make changes to this bug.